function logistica(Avalues,pvalues)
%
% logistica
% logistica(Avalues)
% logistica(Avalues,pvalues)
%
% Disegna il diagramma di biforcazione dell'equazione logistica
% discreta. Con il comando
%
% > logistica
%
% vengono disegnati i 20 valori finali della successione
% p_{n+1}=A*p_n*(1-p_n) (ove il valore finale e` p_200), per un range
% di 200 valori di A (da 2.5 a 4). Con il comando
%
% > logistica(Avalues)
%
% e` possibile modificare il numero di valori di A. E con il comando
%
% > logistica(Avalues,pvalues)
%
% e` possibile modificare il numero di valori finali di p_n da disegnare.
if (nargin < 1)
   Avalues = 200;
end
if (nargin < 2)
  pvalues = 20;
end
Arange = linspace(2.5,4,Avalues);
p = zeros(1,200);
for A = Arange
  p0 = 0.5;
  p(1) = p0;
  for n = 1:199
    p(n+1) = A*p(n)*(1-p(n));
  end
  plot(A,p(200-pvalues:200),'.k','MarkerSize',2)
  axis([2.5,4,0,1])
  drawnow
  hold on
end
xlabel('A')
ylabel(sprintf('p(%d)-p(200)',pvalues))
